
Partial Class Visitors_Confirmation
    Inherits CharterCMSPage


    Private _success As Boolean

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Confirmation")
    End Sub

  'Public WriteOnly Property Successs() As Boolean
  '  Set(ByVal value As Boolean)
  '    _success = value
  '  End Set
  'End Property

  Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
    If Request.Params(QueryStringName.Mode) IsNot Nothing AndAlso Request.Params(QueryStringName.Mode).ToLower.Equals("fail") Then
      _success = False
    Else
      _success = True
    End If
    If _success Then
      lblSuccess.Visible = True
      lblFail.Visible = False
    Else
      lblSuccess.Visible = False
      lblFail.Visible = True
    End If
  End Sub

End Class
